---
title: IntersectionObserver.observe()
slug: Web/API/IntersectionObserver/observe
tags:
  - API
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserver
  - Method
  - Reference
  - observe
---
<div>{{APIRef("Intersection Observer API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserver")}} method <code><strong>observe()</strong></code> adds an element to the set of target elements being watched by the <code>IntersectionObserver</code>. One observer has one set of thresholds and one root, but can watch multiple target elements for visibility changes in keeping with those.</span> To stop observing the element, call {{domxref("IntersectionObserver.unobserve()")}}.</p>

<p>When the visibility of the specified element crosses over one of the observer's visibility thresholds (as listed in {{domxref("IntersectionObserver.thresholds")}}), the observer's callback is executed with an array of {{domxref("IntersectionObserverEntry")}} objects representing the intersection changes which occurred. Note that this design allows multiple elements' intersection changes to be processed by a single call to the callback.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>IntersectionObserver</em>.observe(<em>targetElement</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>targetElement</code></dt>
 <dd>An {{domxref("element")}} whose visibility within the root is to be monitored. This element must be a descendant of the root element (or contained wtihin the current document, if the root is the document's viewport).</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver','#dom-intersectionobserver-observe','IntersectionObserver.observe()')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<div>
<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserver.observe")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("IntersectionObserver.unobserve()")}}</li>
</ul>
